<!-- ..................................................... -->
<!-- Genealogy Source Module  ............................ -->
<!-- file: source.mod

     This DTD describes a SOURCE element intended for use
     in family tree documents. It was developed as an example
     for Chapter 25 of the XML Bible, 3rd Edition, by
     Elliotte Rusty Harold (elharo@metalab.unc.edu)
     Published by Wiley 2004. ISBN 0-7645-4986-3.

     This schema is placed in the public domain. Please 
     feel free to use it or adapt it in any way you like.

     This DTD is identified by the PUBLIC and SYSTEM
     identifiers:

     PUBLIC "-//ERH//Genealogy Source Module 1.0//EN"
     SYSTEM "source.mod"

     It is not a formal standard, and has not been considered
     or approved by any standards body.

     ..................................................... -->

<!-- SOURCE is the root element of documents that use this
     DTD. However, it is more intended to be used as a part
     of larger XML applications, which would contain multiple
     SOURCE elements in a single document. -->

<!-- The character data of the DTD contains a bibliographic
     citation for the source -->
<!ELEMENT  %SOURCE.qname; (#PCDATA)>
<!ATTLIST  %SOURCE.qname; ID ID #REQUIRED>

